Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.api
Class ConverterFactory

    java.lang.Object
      writer2latex.api.ConverterFactory

    public class ConverterFactory

extends java.lang.Object

This is a factory class to create converters for documents in OpenDocument/OOo 1.x format into a specific MIME type.

Field Summary
`private Config` | `config`
`private static java.lang.String` | `DATE`
`private GraphicConverter` | `gc`
`private static java.lang.String` | `VERSION`

Constructor Summary
`ConverterFactory()`

Method Summary
`Converter` | `createConverter(java.lang.String sMIME)` Create a `Converter` implementation which supports conversion into the specified MIME type Currently supported MIME types are: `application/x-latex` for LaTeX format `application/x-bibtex` for BibTeX format `text/html` for XHTML 1.0 strict format `application/xhtml+xml` for XHTML+MathML `application/xml` for XHTML+MathML using stylesheets from w3c's math working group
`static java.lang.String` | `getDate()` Return date information
`static java.lang.String` | `getVersion()` Return version information
`void` | `setConfig(Config config)` Define the configuration to use when converting.
`void` | `setGraphicConverter(GraphicConverter gc)` Define a `GraphicConverter` implementation to use for conversion of graphic files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    private static final java.lang.String VERSION

See Also:
  Constant Field Values

### DATE

    private static final java.lang.String DATE

See Also:
  Constant Field Values

### config

    private Config config

### gc

    private GraphicConverter gc

Constructor Detail

### ConverterFactory

    public ConverterFactory()

Method Detail

### getVersion

    public static java.lang.String getVersion()

  Return version information

  Returns:
    the Writer2LaTeX version

### getDate

    public static java.lang.String getDate()

  Return date information

  Returns:
    the date for this Writer2LaTeX version

### setConfig

    public void setConfig(Config config)

  Define the configuration to use when converting. If a configuration is specified, it will be used by converters which are later created using the `createConverter` method

  Note: This method will change in version 0.6

  Parameters:
    `config` - the configuration to use

### setGraphicConverter

    public void setGraphicConverter(GraphicConverter gc)

  Define a `GraphicConverter` implementation to use for conversion of graphic files. If a converter is specified, it will be used by converters which are later created using the `createConverter` method

  Parameters:
    `gc` - the `GraphicConverter` to use

### createConverter

    public Converter createConverter(java.lang.String sMIME)

  Create a `Converter` implementation which supports conversion into the specified MIME type

  Currently supported MIME types are:

  - `application/x-latex` for LaTeX format
  - `application/x-bibtex` for BibTeX format
  - `text/html` for XHTML 1.0 strict format
  - `application/xhtml+xml` for XHTML+MathML
  - `application/xml` for XHTML+MathML using stylesheets from w3c's math working group

  Parameters:
    `sMIME` - the MIME type of the target format
  Returns:
    the required `Converter` or null if a converter for the requested MIME type could not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD